Subject: RE: [Simple] Can I sent a message to him/her when he/she is off l ine?

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 15 Aug 2001 02:30:44 -0400

> -----Original Message-----
> From: Simon [mailto:[email-masked]]
> Sent: Tuesday, August 14, 2001 9:25 PM
> To: [email-masked]
> Subject: [Simple] Can I sent a message to him/her when he/she is off
> line?
> 
> 
> I did not find any statement about this in the instant 
> message protocol
> requirement. But I enjoy sending messages to my friends while they are
> off line, since it is much more convenient than composing a email.
> To enable this, the messages need to be stored in the server and to be
> forwarded as soon as possible when the receiptor comes to be 
> online. It
> is not difficult to implement this function but it can bring us a lot.

Sure, storage and forwarding of messages later on is possible. It is an
implementation choice that requires no protocol mechanisms beyond what is
already there.

-Jonathan R.

---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com